# MKNEWSGROUPS

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
AUTHOR
COPYRIGHT

## NAME

mknewsgroups - Cyrus IMAP documentation

## SYNOPSIS

mknewsgroups

## DESCRIPTION

mknewsgroups [-h] [-n] [-C <config-file>] [-f <active-file>] [-u <user>] [-w <wildmats>] [-p <part>] [-a <acls>] <server>

## OPTIONS

| -h |  | Display help. |
| -n |  | Print the IMAP commands, but don't execute them. |

-C <config file>

Use the config in <config-file> instead of /etc/imapd.conf

-f <active-file>

Use the newsgroups in <active-file> instead of ./active (get current file from ftp://ftp.isc.org/usenet/CONFIG/active)

-u <user>

Authenticate as <user> instead of the current shell user

-w <wildmats>

Only create the newsgroups specified by <wildmats>. <wildmats> is a comma-separated list of wildmat pattern (eg, ",!alt.")

-p <part>

Create the newsgroup mailboxes on partition <part>

-a <acls>

Set <acls> on the newsgroup. <acls> is a whitespace-separated list of cyradm-style userid/rights pairs (eg, "anyone +p news write")

## AUTHOR

The Cyrus Team

## COPYRIGHT

1993â2025, The Cyrus Team